Package org.drinkless.tdlib

# Class TdApi.Document

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Document

Enclosing class:
  `TdApi`

public static class TdApi.Document extends TdApi.Object
Describes a document of any type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.File`
  `document`
  File containing the document.
  `String`
  `fileName`
  Original name of the file; as defined by the sender.
  `String`
  `mimeType`
  MIME type of the file; as defined by the sender.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Document minithumbnail; may be null.
  `TdApi.Thumbnail`
  `thumbnail`
  Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document()`
  Describes a document of any type.
  `Document(String fileName, String mimeType, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File document)`
  Describes a document of any type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileName

    public String fileName
    Original name of the file; as defined by the sender.

  - ### mimeType

    public String mimeType
    MIME type of the file; as defined by the sender.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Document minithumbnail; may be null.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.

  - ### document

    public TdApi.File document
    File containing the document.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Document

    public Document()
    Describes a document of any type.

  - ### Document

    public Document(String fileName, String mimeType, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File document)
    Describes a document of any type.
    Parameters:
      `fileName` - Original name of the file; as defined by the sender.
      `mimeType` - MIME type of the file; as defined by the sender.
      `minithumbnail` - Document minithumbnail; may be null.
      `thumbnail` - Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.
      `document` - File containing the document.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR